sane-leo(5)

BEZEICHNUNG
sane-leo - SANE-Backend für die Scanner von LEO Technologies

BESCHREIBUNG
Die Bibliothek sane-leo implementiert ein SANE- (Scanner Access Now Easy-) Backend, das Zugriff auf einige LEO-SCSI-Flachbettscanner ermöglicht. Dieses Backend sollte als Beta-Qualität betrachtet werden! LEO-Scanner wurden auch unter der Marke »Across Technologies« verkauft.

Die folgenden Scanner sollten mit diesem Backend funktionieren:

     Anbieter Modell          Status
    ----------------------  -----------
      Across FS-1130          getestet
      LEO S3                  getestet
Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1) oder xsane(1) gesteuert werden.
Falls Sie merkwürdiges Verhalten beobachten, berichten Sie das bitte (auf Englisch) an den Backend-Betreuer oder an die SANE-Mailingliste. Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:
    scanimage --help -d leo

Scanmodus

--mode
    wählt den grundlegenden Betriebsmodus des Scanners. Gültige Auswahlen sind Black & White, Grayscale und Color. Der Modus Black & White ist nur schwarz und weiß (1 bit). Der Modus Grayscale wird 256 Graustufen erzeugen (8 bit). Der Modus Color erstellt ein 24-bit-Farbbild.

--resolution
    wählt die Scan-Auflösung. Der Scanner beherrscht alle Auflösungen von 1 bis 300 in Schritten von 1.

Geometrieoptionen

-l -t -x -y
    steuern den Scan-Bereich: »-l« setzt die obere linke X-Koordinate, »-t« die obere linke Y-Koordinate, »-x« wählt die Breite und »-y« die Höhe des Scan-Bereichs. Alle Parameter werden in Millimetern angegeben.

Verbesserungsoptionen

--custom-gamma
    ermöglicht dem Benutzer, eine Gamma-Tabelle festzulegen (nur im Graustufen- und Farbmodus, siehe die nächsten drei Parameter).

--red-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Rot-Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. (nur im Farb-Modus)

--green-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Grün-Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. (nur im Farb-Modus)

--blue-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Blau-Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. (nur im Farb-Modus)

--halftone
    wählt die zu verwendende Halbtonmaske (nur bei Schwarz & Weiß). Mögliche Werte sind Diamond, 8x8 Coarse Fatting, 8x8 Fine Fatting, 8x8 Bayer und 8x8 Vertical Line.

--preview
    fordert einen Vorschau-Scan an. Die für diesen Scan verwendete Auflösung ist 28 DPI und der Scan-Bereich ist der größte erlaubte. Der Scan-Modus wird vom Anwender ausgewählt. Die Vorgabe ist »no«.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/leo.conf unterstützt nur eine Information: den Namen des zu verwendenden Geräts (zum Beispiel /dev/scanner).

DATEIEN

/usr/lib/sane/libsane-leo.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-leo.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_LEO
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

EINSCHRÄNKUNGEN
Der TWAIN-Treiber für Windows verfügt über weitaus mehr Optionen als dieses SANE-Backend. Allerdings sind diese nur softwareseitige Anpassungen. Dieses Backend implementiert nur das, was der Scanner unterstützen kann.

FEHLER
Keine bekannt.

SIEHE AUCH
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTOR

Das Paket wird aktiv von Frank Zago betreut.
    http://www.zago.net/sane/#leo

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).